#!/bin/sh

# change the directory to the source directory
cd `dirname "$0"` || { echo "Failed to change the current directory" >&2; exit 1; }

# remove and recreate build directory
rm -r "SASM" 2>/dev/null
mkdir "SASM" || { echo "Failed to create the build directory" >&2; exit 1; }

# cd and run SASM build steps
cd "SASM"
qmake ../ || { echo "Failed to run qmake, is Qt installed?" >&2; exit 1; }
make -j || { echo "Failed to compile SASM, is g++ installed?" >&2; exit 1; }
make clean
rm Makefile

# copy resources and build the wrapper
cp -r "../resources" "./"
cd "resources"
make || { echo "Failed to compile the run wrapper" >&2; exit 1; }
rm Makefile run_wrapper.c

# done
cd ..
echo ""
echo "Successfuly compiled. Output directory: `pwd`"
echo "You can now move the directory SASM wherever you want and delete the sources."
exit 0
